# `ManyToMany`

The ManyToMany class is accessible via the `sqlobject.joins` module.

## Attributes

#### a `singleton`

    <bound class method ManyToMany.singleton>

#### a `clone_for_subclass`

    True

#### a `intermediateTable`

    None

#### a `otherColumn`

    None

#### a `createJoinTable`

    True

#### a `declarative_count`

    3

#### a `__unpackargs__`

    ('join',)

#### a `joinColumn`

    None

#### a `__addtoclass__`

    <bound class method ManyToMany.__addtoclass__>

#### a `__restrict_attributes__`

    ('join', 'intermediateTable', 'joinColumn', 'otherColumn', 'createJoinTable')

#### a `__mutableattributes__`

    ()

## Methods

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__classinit__(cls, new_attrs)` ...

#### f `__instanceinit__(self, new_attrs)` ...

#### f `__init__(self, *args, **kw)` ...

#### f `__call__(self, *args, **kw)` ...

See the source for more information.